import type { DatePickerOperator, DatePickerShortcut, ShortcutOption } from "../../../../../querying/filters/types";
import type { TypeOption } from "./types";
export declare function getShortcutOptions(availableShortcuts: DatePickerShortcut[]): ShortcutOption[];
export declare function getShortcutOptionGroups(availableShortcuts: DatePickerShortcut[]): ShortcutOption[][];
export declare function getTypeOptions(availableOperators: DatePickerOperator[]): TypeOption[];
